# sconfig
_Linux server configuration tool_


## What is it?

It's a [bash](https://en.wikipedia.org/wiki/Bash_(Unix_shell)) script which allows you to graphically control various aspects of a Linux server. As of now it only supports [Ubuntu 20.04](https://ubuntu.com).

![screenshot.png](screenshot.png)

## Features

* View basic system status
* System user management
* Encrypted file backup
* Reboot/Shutdown server

## Installation

In order to use `sconfig` you have to download the [latest release](https://git.socialnerds.org/socialnerds/sconfig/releases) and put it somewhere in your `$PATH`.
The snippet below installes the latest version directly from the `main` branch.

```
sudo wget https://git.socialnerds.org/socialnerds/sconfig/raw/main/sconfig.sh -O /usr/bin/sconfig
sudo chmod +x /usr/bin/sconfig
```
To update an already installed version just rerun the above commands.

## Roadmap

```
.
.
.                    
|
|
|
+--- hello world
|
+--- Basic preflight checks
+--- Very simple text UI
+--- Shutdown/Reboot server
+--- User management
+--- Simple self-update feature
|
|                    O/
|                   /|
+--- You are here   / \
|
|
+--- version 0.1
|
+--- Monitoring (SNMPd configuration)
+--- Nginx management (vhosts & certificates)
+--- Docker (install only)
|
|
+--- version 0.2
|
+--- Nothing planed yet
|
.
.
.
```
